@import url(./font-montserrat/font.css);
@import url(./base.css);
@import url(./theme.css);


body {
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.06);
}

main {
    flex: 1;
}

header {
    position: sticky;
    top: 0;
    margin-bottom: 2em;
    background-color: var(--color-bg-light);
    box-shadow: 0 2px 8px #00000040;
    z-index: 1000;
}

.logo-block {
    display: flex;
    flex-direction: column;
    gap: .2em;
}

.logo-block span {
    color: var(--color-text-smooth);
    width: 19.5em;
    font-size: .7em;
    line-height: 1.1;
    text-decoration: none !important;
}



header .navbar {
    padding: .66em 0 ;
}
header .navbar .container{
    display: flex;
    flex-direction: column;   
}
header .navbar .container nav{
    display: flex;
    justify-content: center;  
}

.mobile-menu-underlayer {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    background: #00000040;
}

header .navbar .seperator {
    width: 1px;
    background-color: var(--color-accent);
}

header nav.categories-menu {
    color: white;
    font-weight: 300;
    margin-top: .66em;
    
    & .main-menu-item {
        color: inherit;
        transition: all .15s ease-out;
        cursor: pointer;

        & > a {
            height: 2.66em;
            line-height: 2.66em;
        }

        &:hover {
            background-color: #7f7f7f1c;
        }

        &:focus {
            background-color: #7f7f7f1c;
        }
    }
}


header .mobile-menu-button {
    color: var(--color-accent-smooth) !important;
    width: fit-content;
    height: auto;
    aspect-ratio: 1;
    padding: 0 0.4em;
    font-size: 1.5em;
}



footer {
    margin-top: 4em;
    position: relative;
    width: 100%;
    min-height: fit-content;
    background-color: var(--color-bg-light);
}

footer .container {
    padding: 2em 0 ;

}

footer .copyright-row {
    background-color: var(--color-accent);
    height: 3em;
    line-height: 3em;
    color: white;
}



ul.pagination {
    padding: 0;
    display: flex;
    border-radius: var(--border-radius);
    background-color: var(--color-bg-light);
    box-shadow: var(--box-shadow);
    width: fit-content;
    overflow: hidden;
}

ul.pagination > li {
    padding: .66em;

    &.active {
        background-color: var(--color-accent-light);
    }
}

ul.pagination > li > a,
ul.pagination > li > span {
    padding: .66em;
}



.products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1.66em;
}


.product-card {
    position: relative;
    max-width: 240px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: .66em;
    border-radius: var(--border-radius);
    overflow: hidden;
    background-color: var(--color-bg-light);
    box-shadow: 0 4px 8px #00000040;
}

.products-grid .product-card {
    max-width: unset;
}


.labels-row {
    display: flex;
    gap: .5em;
    flex-wrap: wrap;
}

.product-card .labels-row {
    position: absolute;
    left: .5em;
    top: .5em;
    z-index: 1;
    max-width: 100%;
}

.label  {
    font-size: .66em;
    padding: .5em;
    border-radius: 40px;
    font-weight: 600;
    box-shadow: 0 2px 6px #00000050;
    opacity: 0.95;
    color: #fff;
    user-select: none;
    text-wrap-mode: nowrap;
}

.product-card__thumb {
    width: 100%;
    height: 180px;
    overflow: hidden;

    & > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: scale .25s ease-out;
    }
}

.product-card:hover .product-card__thumb > img {
    scale: 1.02;
}


.product-card__name {
    font-size: 1.2em;
    padding: 0 .5em;
    font-weight: 500;
}

.product-card__price-block {
    padding: 0 .5em;
    font-size: 1.1em;
}

.product-card__price {

    &.overlined {
        text-decoration: line-through;
        text-decoration-color: red;
        text-decoration-thickness: 2px;
        font-size: 0.85em;
    }

}

.product-card__price-special {

}


.product-card button.theme-btn {
    margin: 4px;
    margin-top: auto;
}

.categories-menu {

}

.categories-menu__item {

    border-radius: var(--border-radius);
    padding: 0.66em 1.5em;

    &.active {
        background-color: #51ff0018;
    }

    &:last-child {
        border-bottom: none;
    }
}


.subcategories-row {

    display: flex;
    flex-wrap: wrap;
    gap: .5em;

    .subcategory-item {
        display: inline-block;
        background-color: var(--color-bg-light);
        padding: .5em 1em;
        font-size: 1.1em;
        border-radius: 20px;
        box-shadow: var(--box-shadow);
    }


}


.tab {
    padding: .5em 1em;
    border: none;
    
    &:not(.active):hover {
        background-color: #00000010;
    }

    &.active {
        color: var(--color-accent-smooth);
    }
}



#product-product .labels-row {
    font-size: 1.25em;
}


#product-product .old-price{
    text-decoration: line-through;
    text-decoration-color: red;
    font-size: .8em;
    display: block;
    position: absolute;
    top: 0;
    margin-left: var(---base-container-offset);
    translate: 25% -80%;
}

.thumbnail {
    display: block;
    border-radius: var(--border-radius);
    overflow: hidden;
    
    & > img {
        width: 100%;
        transition: scale .2s ease-out;
    }

    &:hover > img {
        scale: 1.03;
    }
}

.additional-thumbs {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0.5em;
}


/* articles */

.articles-grid {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 1em;

    & > .article-block {
        flex: calc(50% - .5em);
        max-width: calc(50% - .5em);
    }
}


.article-block {
    width: 100%;
    display: flex;
    flex-direction: column;
    border-radius: var(--border-radius);
    overflow: hidden;
    background-color: var(--color-bg-light);
    box-shadow: 0 4px 8px #00000040;
    padding: 0.66em;
}

.article-block > .btns-row {
    margin-top: auto;
}

.article-name {
    font-size: 1.2em;
    line-height: 1em;
    border-top: 1px solid currentColor;
    padding-top: 0.33em;
    margin: 0.33em 0;
    font-weight: 500;
}

.article-description {
    font-size: 0.9em;
}

.article-date {
    font-size: .85em;
    font-weight: 500;
}

.article-btn {
    cursor: pointer;
    display: flex;
    align-items: flex-end;
    gap: 0.5em;
}

.article-viewed {
    
}

/* articles */